Page MenuHomePhabricator

Create accounts for Build server and update Fastlane / Jenkins to securely use accounts
Closed, ResolvedPublic1 Story Points

Description

  • Wikimedia email account for Jenkins
  • Dev Center and iTunes Connect Account (for getting provisioning files and uploading builds)
  • Create github account got Jenkins
  • Use accounts in Fastlane
  • Securely store credentials
  • update Gemfile (bump to fastlane 1.0)
  • add wikitech docs for CI accounts

Documentation is under the Engineering/Mobile page on officewiki

Event Timeline

Fjalapeno raised the priority of this task from to Normal.
Fjalapeno updated the task description. (Show Details)
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 4:30 PM
Fjalapeno set Security to None.
Fjalapeno edited a custom field.
Fjalapeno moved this task from To Do to Doing on the Mobile-App-Sprint-54-iOS board.
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)Apr 13 2015, 6:46 PM

@dr0ptp4kt we need a wikimedia.org email to register on the apple dev center - is this something you can request?

Fjalapeno reassigned this task from Fjalapeno to dr0ptp4kt.Apr 13 2015, 7:57 PM

@Fjalapeno and I discussed on video. I've requested a Google Group for continuous integration stuff. For user feedback, the plan is to use the iOS OTRS queue email address instead.

The CI email address is ticket 6701.

The CI email address has been created, but the permissions have to be updated. I've requested the permissions update.

The permission have been updated. Next I'll need to configure the group.

dr0ptp4kt updated the task description. (Show Details)Apr 24 2015, 10:22 AM

Group configured for CI email address.

@dr0ptp4kt Do you want to “invite” the new email account to the dev portal and iTunes connect? Or if you want to send the address to me I can do it, let me know.

Fjalapeno renamed this task from Create accounts for Build server to Create accounts for Build server and update Fastlane / Jenkins to securely use accounts.Apr 28 2015, 2:51 PM
Fjalapeno claimed this task.
Fjalapeno updated the task description. (Show Details)
Fjalapeno updated the task description. (Show Details)Apr 29 2015, 3:50 PM

Change 207848 had a related patch set uploaded (by Bgerstle):
CI fixes

https://gerrit.wikimedia.org/r/207848

Change 207848 merged by Fjalapeno:
CI fixes

https://gerrit.wikimedia.org/r/207848

Can be moved to "Done" once another build goes out from gerrit/master.

Build 103 went out this morning. @Fjalapeno move to Done if you're satisfied.

Fjalapeno closed this task as Resolved.May 8 2015, 7:51 PM
Fjalapeno moved this task from Ready for Signoff to Done on the Mobile-App-Sprint-56-iOS board.